Index: src/fs/aufs/store_dir_aufs.c
===================================================================
RCS file: /cvsroot/squid/squid/src/fs/aufs/store_dir_aufs.c,v
retrieving revision 1.26
diff -u -p -r1.26 store_dir_aufs.c
--- src/fs/aufs/store_dir_aufs.c	6 Apr 2002 15:31:27 -0000	1.26
+++ src/fs/aufs/store_dir_aufs.c	7 Apr 2002 08:03:19 -0000
@@ -954,7 +954,9 @@ static int
 storeAufsDirWriteCleanStart(SwapDir * sd)
 {
     struct _clean_state *state = xcalloc(1, sizeof(*state));
+#if HAVE_FCHMOD
     struct stat sb;
+#endif
     sd->log.clean.write = NULL;
     sd->log.clean.state = NULL;
     state->new = xstrdup(storeAufsDirSwapLogFile(sd, ".clean"));
Index: src/fs/coss/store_dir_coss.c
===================================================================
RCS file: /cvsroot/squid/squid/src/fs/coss/store_dir_coss.c,v
retrieving revision 1.19
diff -u -p -r1.19 store_dir_coss.c
--- src/fs/coss/store_dir_coss.c	6 Apr 2002 11:34:51 -0000	1.19
+++ src/fs/coss/store_dir_coss.c	7 Apr 2002 08:03:19 -0000
@@ -480,7 +480,9 @@ storeCossDirWriteCleanStart(SwapDir * sd
 {
     CossInfo *cs = (CossInfo *) sd->fsdata;
     struct _clean_state *state = xcalloc(1, sizeof(*state));
+#if HAVE_FCHMOD
     struct stat sb;
+#endif
     state->new = xstrdup(storeCossDirSwapLogFile(sd, ".clean"));
     state->fd = file_open(state->new, O_WRONLY | O_CREAT | O_TRUNC);
     if (state->fd < 0) {
Index: src/fs/diskd/store_dir_diskd.c
===================================================================
RCS file: /cvsroot/squid/squid/src/fs/diskd/store_dir_diskd.c,v
retrieving revision 1.36
diff -u -p -r1.36 store_dir_diskd.c
--- src/fs/diskd/store_dir_diskd.c	6 Apr 2002 15:31:27 -0000	1.36
+++ src/fs/diskd/store_dir_diskd.c	7 Apr 2002 08:03:20 -0000
@@ -1137,7 +1137,9 @@ static int
 storeDiskdDirWriteCleanStart(SwapDir * sd)
 {
     struct _clean_state *state = xcalloc(1, sizeof(*state));
+#if HAVE_FCHMOD
     struct stat sb;
+#endif
     sd->log.clean.write = NULL;
     sd->log.clean.state = NULL;
     state->new = xstrdup(storeDiskdDirSwapLogFile(sd, ".clean"));
Index: src/fs/ufs/store_dir_ufs.c
===================================================================
RCS file: /cvsroot/squid/squid/src/fs/ufs/store_dir_ufs.c,v
retrieving revision 1.24
diff -u -p -r1.24 store_dir_ufs.c
--- src/fs/ufs/store_dir_ufs.c	6 Apr 2002 11:34:51 -0000	1.24
+++ src/fs/ufs/store_dir_ufs.c	7 Apr 2002 08:03:21 -0000
@@ -952,7 +952,9 @@ static int
 storeUfsDirWriteCleanStart(SwapDir * sd)
 {
     struct _clean_state *state = xcalloc(1, sizeof(*state));
+#if HAVE_FCHMOD
     struct stat sb;
+#endif
     sd->log.clean.write = NULL;
     sd->log.clean.state = NULL;
     state->new = xstrdup(storeUfsDirSwapLogFile(sd, ".clean"));
